/*
 * n01_stats
 *
 * StatusBar.c
 *
 * Copyright (C) 1996-2006 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

/* Include Files */
#define _INC_OLE
#include <windows.h>
#undef	_INC_OLE
#include <commctrl.h>

/* Define */

/* Global Variables */

/* Local Function Prototypes */

/*
 * statusbar_create - StatusBar̍쐬
 */
HWND statusbar_create(const HWND hWnd, const int id)
{
	HWND hStatusBar;
	int width[] = {200, -1};

	if ((hStatusBar = CreateStatusWindow(WS_CHILD, TEXT(""), hWnd, id)) == NULL) {
		return NULL;
	}
	// Xe[^Xo[\
	ShowWindow(hStatusBar, SW_SHOW);
	// p[c̐ݒ
	SendMessage(hStatusBar, SB_SETPARTS, (WPARAM)(sizeof(width) / sizeof(int)), (LPARAM)width);
	return hStatusBar;
}

/*
 * statusbar_set_text - StatusBar̃eLXgݒ
 */
BOOL statusbar_set_text(const HWND hStatusBar, const TCHAR *buf, const int part)
{
	SendMessage(hStatusBar, SB_SETTEXT, (WPARAM)(part | 0), (LPARAM)buf);
	return TRUE;
}
/* End of source */
